Loading...
Searching...
No Matches
Catch::IMutableEnumValuesRegistry Class Referenceabstract

`#include <catch_amalgamated.hpp>`

## Public Member Functions

virtual | ~IMutableEnumValuesRegistry ()
virtual Detail::EnumInfo const & | registerEnum (StringRef enumName, StringRef allEnums, std::vector< int > const &values)=0
template<typename E>
Detail::EnumInfo const & | registerEnum (StringRef enumName, StringRef allEnums, std::initializer_list< E > values)

## Constructor & Destructor Documentation

## ~IMutableEnumValuesRegistry()

Catch::IMutableEnumValuesRegistry::~IMutableEnumValuesRegistry | ( |  | ) |

virtualdefault

## Member Function Documentation

## registerEnum() [1/2]

template<typename E>

Detail::EnumInfo const & Catch::IMutableEnumValuesRegistry::registerEnum | ( | StringRef | enumName,
|  | StringRef | allEnums,
|  | std::initializer_list< E > | values )

inline

Here is the call graph for this function:

## registerEnum() [2/2]

virtual Detail::EnumInfo const & Catch::IMutableEnumValuesRegistry::registerEnum | ( | StringRef | enumName,
|  | StringRef | allEnums,
|  | std::vector< int > const & | values )

pure virtual

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp